Cantera 2.6.0

Public Member Functions | List of all members
ReactorAccessor Class Referenceabstract

An abstract base class for providing access to protected capabilities Reactor objects from delegate methods, which would normally only be able to access public Reactor members. More...

`#include <ReactorDelegator.h>`

Inheritance diagram for ReactorAccessor:
[legend]

## Public Member Functions
virtual void | setNEq (size_t n)=0
| Set the number of equations represented by this reactor. More...
virtual double | vdot () const =0
| Get the net rate of volume change (for example, from moving walls) [m^3/s]. More...
virtual void | setVdot (double v)=0
| Set the net rate of volume change (for example, from moving walls) [m^3/s]. More...
virtual double | qdot () const =0
| Get the net heat transfer rate (for example, through walls) into the reactor [W]. More...
virtual void | setQdot (double q)=0
| Set the net heat transfer rate (for example, through walls) into the reactor [W]. More...
virtual void | restoreThermoState ()=0
| Set the state of the thermo object to correspond to the state of the reactor. More...
virtual void | restoreSurfaceState (size_t n)=0
| Set the state of the thermo object for surface n to correspond to the state of that surface. More...

## Detailed Description

An abstract base class for providing access to protected capabilities Reactor objects from delegate methods, which would normally only be able to access public Reactor members.

Actual implementations of these methods are found in the templated ReactorDelegator class. The purpose of this base class is so these methods can be accessed by casting a Reactor* to a ReactorAccessor* without needing to know the specific kind of Reactor at compilation time.

Definition at line 25 of file ReactorDelegator.h.

## Member Function Documentation

## ◆ setNEq()

virtual void setNEq | ( | size_t | n | ) |
| pure virtual

Set the number of equations represented by this reactor.

Implemented in ReactorDelegator< R >.

## ◆ vdot()

virtual double vdot | ( |  | ) | const
| pure virtual

Get the net rate of volume change (for example, from moving walls) [m^3/s].

Implemented in ReactorDelegator< R >.

## ◆ setVdot()

virtual void setVdot | ( | double | v | ) |
| pure virtual

Set the net rate of volume change (for example, from moving walls) [m^3/s].

Implemented in ReactorDelegator< R >.

## ◆ qdot()

virtual double qdot | ( |  | ) | const
| pure virtual

Get the net heat transfer rate (for example, through walls) into the reactor [W].

This value is initialized and calculated as part of Reactor::evalWalls().

Implemented in ReactorDelegator< R >.

## ◆ setQdot()

virtual void setQdot | ( | double | q | ) |
| pure virtual

Set the net heat transfer rate (for example, through walls) into the reactor [W].

For a value set using this method to affect the calculations done by Reactor::eval, this method should be called in either a "replace" or "after" delegate for Reactor::evalWalls().

Implemented in ReactorDelegator< R >.

## ◆ restoreThermoState()

virtual void restoreThermoState | ( |  | ) |
| pure virtual

Set the state of the thermo object to correspond to the state of the reactor.

Implemented in ReactorDelegator< R >.

## ◆ restoreSurfaceState()

virtual void restoreSurfaceState | ( | size_t | n | ) |
| pure virtual

Set the state of the thermo object for surface n to correspond to the state of that surface.

Implemented in ReactorDelegator< R >.

The documentation for this class was generated from the following file:

- ReactorDelegator.h